Labels
List labels
Returns all labels defined in a workspace, ordered alphabetically by name.
GET
/
api
/
v1
/
workspaces
/
{id}
/
labels
List labels
curl --request GET \
--url https://api.getarca.app/api/v1/workspaces/{id}/labels \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getarca.app/api/v1/workspaces/{id}/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getarca.app/api/v1/workspaces/{id}/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.getarca.app/api/v1/workspaces/{id}/labels';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.getarca.app/api/v1/workspaces/{id}/labels"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getarca.app/api/v1/workspaces/{id}/labels"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://api.getarca.app/api/v1/workspaces/{id}/labels")
.header("Authorization", "Bearer <token>")
.asString();import Foundation
let url = URL(string: "https://api.getarca.app/api/v1/workspaces/{id}/labels")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.getarca.app/api/v1/workspaces/{id}/labels");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.getarca.app/api/v1/workspaces/{id}/labels");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.getarca.app/api/v1/workspaces/{id}/labels");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);using RestSharp;
var options = new RestClientOptions("https://api.getarca.app/api/v1/workspaces/{id}/labels");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.getarca.app/api/v1/workspaces/{id}/labels")
.get()
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()[
{
"id": 1,
"workspace_id": 3,
"name": "Bug",
"color": "red",
"created_at": "2026-01-15T08:00:00.000Z"
},
{
"id": 2,
"workspace_id": 3,
"name": "Feature",
"color": "blue",
"created_at": "2026-01-15T08:00:00.000Z"
}
]
{
"error": "Invalid API key"
}
{
"error": "Scope 'workspaces:read' is required for this endpoint"
}
{
"error": "Workspace not found"
}
Requires the
workspaces:read scope. You must be a member of the workspace.Path parameters
string
required
The numeric workspace ID.
Response
Returns an array of label objects ordered byname ascending.
number
required
Label identifier.
number
required
Workspace this label belongs to.
string
required
Label name.
string | null
Color associated with the label.
string
required
UTC ISO-8601 creation timestamp.
[
{
"id": 1,
"workspace_id": 3,
"name": "Bug",
"color": "red",
"created_at": "2026-01-15T08:00:00.000Z"
},
{
"id": 2,
"workspace_id": 3,
"name": "Feature",
"color": "blue",
"created_at": "2026-01-15T08:00:00.000Z"
}
]
{
"error": "Invalid API key"
}
{
"error": "Scope 'workspaces:read' is required for this endpoint"
}
{
"error": "Workspace not found"
}
Was this page helpful?
⌘I
List labels
